@if (tooltip) {
  <button
    class="execution-status-button"
    nz-button
    nz-tooltip="{{ getI18nKey() | translate | capitalize }}"
    [nzTooltipPlacement]="'bottom'"
    [nzSize]="'small'"
    [attr.data-test-execution-status]="status"
    [style.background-color]="getStatusColor()"
    [style.border-color]="getBorderColor()"
    (click)="handleClick()"
  >
    <span class="m-l-4"></span>
  </button>
}

@if (!tooltip) {
  <button
    class="execution-status-button"
    nz-button
    [nzSize]="'small'"
    [attr.data-test-execution-status]="status"
    [style.background-color]="getStatusColor()"
    [style.border-color]="getBorderColor()"
    (click)="handleClick()"
  >
    <span class="m-l-4"></span>
  </button>
}
